标签归档:Linux

最新发布的Linux版QQ尝试

很久以前,曾在自己的电脑上安装过Linux系统,并且电脑上只安装Linux,想成为一名电脑高手。但是用了几年发现,要是不做开发的话,Linux真的不如Windows好用,一是界面不好看,不如Windows界面细腻丰富;二是各种软件不如商用的功能全面,比如LibreOffice明显没有OFFICE好看好用;三是可供娱乐的软件少,基本上没法玩主流的游戏,所以用了几年,最后也是不了了之,还是回到了Windows的怀抱。记得当初使用Linux系统的时候,大家都在用Windows XP,等放弃Linux的时候,现在都在用Win7了,一眨眼过去了好几年,不过Windows简单易用,很快就适应了。

此次再提Linux,是因为看到腾讯最近更新Linux版QQ了,上一次发布的Linux版QQ还是2008年,快10来年了。记得以前使用Linux时,无法直接使用QQ,只能使用WebQQ,后来WebQQ也停止更新了。中间无耐还偿试过WineQQ,也就是安装Windows的模拟器,再运行QQ,总之两个字“麻烦”。

看到新发布的Linux版QQ后,立即想安装,看一看最新版的Linux版QQ到底是什么样的,是否界面有所改善。于是找到一台旧的笔记本试验,笔记本是很久以前安装的Ubuntu系统,打开QQ产品的界面,一眼望去有很多种产品: 继续阅读最新发布的Linux版QQ尝试

PHP项目依赖管理工具Composer之初体验

进行系统开发时,使用框架可以提高效率,很快地把网站搭建起来,以前使用框架的时候,都是简单地把PHP框架内容复制到网站根目录中,操作起来非常简单、有效。但是最近接触PHP框架时,了解到了一种新的安装方式,那就是Composer。

1 什么是Composer?

Composer是一种PHP项目依赖管理工具,能够允许你申明项目所依赖的代码库,并且在项目中自动安装这些代码库。相当于Linux环境下面的APT和RPM,在安装软件时,会自动安装所依赖的包,使得整个安装过程非常简单。记得以前在Linux下使用源码安装软件时,必须提前安装完所依赖的程序,过程非常复杂,因此相信使用Composer来管理PHP项目的依赖,会非常有用,极大地提高工作效率。

2 Composer安装的系统要求

运行 Composer 需要 PHP 5.3.2+ 以上版本,一些敏感的 PHP 设置和编译标志也是必须的,但对于任何不兼容项安装程序都会抛出警告。Composer 是多平台的,可以在 Windows 、 Linux 以及 OSX 平台上运行。

3 安装Composer

继续阅读PHP项目依赖管理工具Composer之初体验

在Linux环境下搭建LAMP的尝试

LAMP是一组用于运行动态网站或者服务器的自由软件的首字母组合,通常使用PHP建立网站或服务器时,会使用这样的组合,当然这里面的L指的是Linux系统,如果使用Windows系统安装的话,对应的还有WAMP,今天就来试试LAMP环境的配置。

1 什么是LAMP环境
  • Linux,操作系统
  • Apache,网页服务器
  • MariaDB或MySQL,数据库管理系统(或者数据库服务器)
  • PHP、Perl或Python,脚本语言
2 具体搭建过程
2.1 Linux系统的安装

Linux采用Ubuntu系统,这个可以自行下载安装,最好与Win安装成双系统,因为Ubuntu除了工作使用外,真的不适合日常娱乐。此次下载Ubuntu系统时,选择了麒麟版的系统,比较适合中国用户。

2.2 Apache服务器的安装

Apache是世界使用排名第一的Web服务器软件,它可以运行在几乎所有广泛使用的计算机平台上,由于其跨平台和安全性被广泛使用,是最流行的Web服务器端软件之一,其它常见的服务器还有Tomcat等等。

安装Apache非常简单,不像Windows打开 网站下载再安装 ,在Ubuntu下面直接运行下面的命令即可:sudo apt install apache2

继续阅读在Linux环境下搭建LAMP的尝试